Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/legendre.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/legendre.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/legendre.cs	(revision 4068)
@@ -17,114 +17,101 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class legendre
-    {
-        /*************************************************************************
-        Calculation of the value of the Legendre polynomial Pn.
+namespace alglib {
+  public class legendre {
+    /*************************************************************************
+    Calculation of the value of the Legendre polynomial Pn.
 
-        Parameters:
-            n   -   degree, n>=0
-            x   -   argument
+    Parameters:
+        n   -   degree, n>=0
+        x   -   argument
 
-        Result:
-            the value of the Legendre polynomial Pn at x
-        *************************************************************************/
-        public static double legendrecalculate(int n,
-            double x)
-        {
-            double result = 0;
-            double a = 0;
-            double b = 0;
-            int i = 0;
+    Result:
+        the value of the Legendre polynomial Pn at x
+    *************************************************************************/
+    public static double legendrecalculate(int n,
+        double x) {
+      double result = 0;
+      double a = 0;
+      double b = 0;
+      int i = 0;
 
-            result = 1;
-            a = 1;
-            b = x;
-            if( n==0 )
-            {
-                result = a;
-                return result;
-            }
-            if( n==1 )
-            {
-                result = b;
-                return result;
-            }
-            for(i=2; i<=n; i++)
-            {
-                result = ((2*i-1)*x*b-(i-1)*a)/i;
-                a = b;
-                b = result;
-            }
-            return result;
-        }
+      result = 1;
+      a = 1;
+      b = x;
+      if (n == 0) {
+        result = a;
+        return result;
+      }
+      if (n == 1) {
+        result = b;
+        return result;
+      }
+      for (i = 2; i <= n; i++) {
+        result = ((2 * i - 1) * x * b - (i - 1) * a) / i;
+        a = b;
+        b = result;
+      }
+      return result;
+    }
 
 
-        /*************************************************************************
-        Summation of Legendre polynomials using Clenshaws recurrence formula.
+    /*************************************************************************
+    Summation of Legendre polynomials using Clenshaws recurrence formula.
 
-        This routine calculates
-            c[0]*P0(x) + c[1]*P1(x) + ... + c[N]*PN(x)
+    This routine calculates
+        c[0]*P0(x) + c[1]*P1(x) + ... + c[N]*PN(x)
 
-        Parameters:
-            n   -   degree, n>=0
-            x   -   argument
+    Parameters:
+        n   -   degree, n>=0
+        x   -   argument
 
-        Result:
-            the value of the Legendre polynomial at x
-        *************************************************************************/
-        public static double legendresum(ref double[] c,
-            int n,
-            double x)
-        {
-            double result = 0;
-            double b1 = 0;
-            double b2 = 0;
-            int i = 0;
+    Result:
+        the value of the Legendre polynomial at x
+    *************************************************************************/
+    public static double legendresum(ref double[] c,
+        int n,
+        double x) {
+      double result = 0;
+      double b1 = 0;
+      double b2 = 0;
+      int i = 0;
 
-            b1 = 0;
-            b2 = 0;
-            for(i=n; i>=0; i--)
-            {
-                result = (2*i+1)*x*b1/(i+1)-(i+1)*b2/(i+2)+c[i];
-                b2 = b1;
-                b1 = result;
-            }
-            return result;
-        }
+      b1 = 0;
+      b2 = 0;
+      for (i = n; i >= 0; i--) {
+        result = (2 * i + 1) * x * b1 / (i + 1) - (i + 1) * b2 / (i + 2) + c[i];
+        b2 = b1;
+        b1 = result;
+      }
+      return result;
+    }
 
 
-        /*************************************************************************
-        Representation of Pn as C[0] + C[1]*X + ... + C[N]*X^N
+    /*************************************************************************
+    Representation of Pn as C[0] + C[1]*X + ... + C[N]*X^N
 
-        Input parameters:
-            N   -   polynomial degree, n>=0
+    Input parameters:
+        N   -   polynomial degree, n>=0
 
-        Output parameters:
-            C   -   coefficients
-        *************************************************************************/
-        public static void legendrecoefficients(int n,
-            ref double[] c)
-        {
-            int i = 0;
+    Output parameters:
+        C   -   coefficients
+    *************************************************************************/
+    public static void legendrecoefficients(int n,
+        ref double[] c) {
+      int i = 0;
 
-            c = new double[n+1];
-            for(i=0; i<=n; i++)
-            {
-                c[i] = 0;
-            }
-            c[n] = 1;
-            for(i=1; i<=n; i++)
-            {
-                c[n] = c[n]*(n+i)/2/i;
-            }
-            for(i=0; i<=n/2-1; i++)
-            {
-                c[n-2*(i+1)] = -(c[n-2*i]*(n-2*i)*(n-2*i-1)/2/(i+1)/(2*(n-i)-1));
-            }
-        }
+      c = new double[n + 1];
+      for (i = 0; i <= n; i++) {
+        c[i] = 0;
+      }
+      c[n] = 1;
+      for (i = 1; i <= n; i++) {
+        c[n] = c[n] * (n + i) / 2 / i;
+      }
+      for (i = 0; i <= n / 2 - 1; i++) {
+        c[n - 2 * (i + 1)] = -(c[n - 2 * i] * (n - 2 * i) * (n - 2 * i - 1) / 2 / (i + 1) / (2 * (n - i) - 1));
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/matdet.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/matdet.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/matdet.cs	(revision 4068)
@@ -19,209 +19,192 @@
 *************************************************************************/
 
-using System;
-
-namespace alglib
-{
-    public class matdet
-    {
-        /*************************************************************************
-        Determinant calculation of the matrix given by its LU decomposition.
-
-        Input parameters:
-            A       -   LU decomposition of the matrix (output of
-                        RMatrixLU subroutine).
-            Pivots  -   table of permutations which were made during
-                        the LU decomposition.
-                        Output of RMatrixLU subroutine.
-            N       -   size of matrix A.
-
-        Result: matrix determinant.
-
-          -- ALGLIB --
-             Copyright 2005 by Bochkanov Sergey
-        *************************************************************************/
-        public static double rmatrixludet(ref double[,] a,
-            ref int[] pivots,
-            int n)
-        {
-            double result = 0;
-            int i = 0;
-            int s = 0;
-
-            result = 1;
-            s = 1;
-            for(i=0; i<=n-1; i++)
-            {
-                result = result*a[i,i];
-                if( pivots[i]!=i )
-                {
-                    s = -s;
-                }
-            }
-            result = result*s;
-            return result;
+
+namespace alglib {
+  public class matdet {
+    /*************************************************************************
+    Determinant calculation of the matrix given by its LU decomposition.
+
+    Input parameters:
+        A       -   LU decomposition of the matrix (output of
+                    RMatrixLU subroutine).
+        Pivots  -   table of permutations which were made during
+                    the LU decomposition.
+                    Output of RMatrixLU subroutine.
+        N       -   size of matrix A.
+
+    Result: matrix determinant.
+
+      -- ALGLIB --
+         Copyright 2005 by Bochkanov Sergey
+    *************************************************************************/
+    public static double rmatrixludet(ref double[,] a,
+        ref int[] pivots,
+        int n) {
+      double result = 0;
+      int i = 0;
+      int s = 0;
+
+      result = 1;
+      s = 1;
+      for (i = 0; i <= n - 1; i++) {
+        result = result * a[i, i];
+        if (pivots[i] != i) {
+          s = -s;
         }
-
-
-        /*************************************************************************
-        Calculation of the determinant of a general matrix
-
-        Input parameters:
-            A       -   matrix, array[0..N-1, 0..N-1]
-            N       -   size of matrix A.
-
-        Result: determinant of matrix A.
-
-          -- ALGLIB --
-             Copyright 2005 by Bochkanov Sergey
-        *************************************************************************/
-        public static double rmatrixdet(double[,] a,
-            int n)
-        {
-            double result = 0;
-            int[] pivots = new int[0];
-
-            a = (double[,])a.Clone();
-
-            trfac.rmatrixlu(ref a, n, n, ref pivots);
-            result = rmatrixludet(ref a, ref pivots, n);
-            return result;
+      }
+      result = result * s;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Calculation of the determinant of a general matrix
+
+    Input parameters:
+        A       -   matrix, array[0..N-1, 0..N-1]
+        N       -   size of matrix A.
+
+    Result: determinant of matrix A.
+
+      -- ALGLIB --
+         Copyright 2005 by Bochkanov Sergey
+    *************************************************************************/
+    public static double rmatrixdet(double[,] a,
+        int n) {
+      double result = 0;
+      int[] pivots = new int[0];
+
+      a = (double[,])a.Clone();
+
+      trfac.rmatrixlu(ref a, n, n, ref pivots);
+      result = rmatrixludet(ref a, ref pivots, n);
+      return result;
+    }
+
+
+    /*************************************************************************
+    Determinant calculation of the matrix given by its LU decomposition.
+
+    Input parameters:
+        A       -   LU decomposition of the matrix (output of
+                    RMatrixLU subroutine).
+        Pivots  -   table of permutations which were made during
+                    the LU decomposition.
+                    Output of RMatrixLU subroutine.
+        N       -   size of matrix A.
+
+    Result: matrix determinant.
+
+      -- ALGLIB --
+         Copyright 2005 by Bochkanov Sergey
+    *************************************************************************/
+    public static AP.Complex cmatrixludet(ref AP.Complex[,] a,
+        ref int[] pivots,
+        int n) {
+      AP.Complex result = 0;
+      int i = 0;
+      int s = 0;
+
+      result = 1;
+      s = 1;
+      for (i = 0; i <= n - 1; i++) {
+        result = result * a[i, i];
+        if (pivots[i] != i) {
+          s = -s;
         }
-
-
-        /*************************************************************************
-        Determinant calculation of the matrix given by its LU decomposition.
-
-        Input parameters:
-            A       -   LU decomposition of the matrix (output of
-                        RMatrixLU subroutine).
-            Pivots  -   table of permutations which were made during
-                        the LU decomposition.
-                        Output of RMatrixLU subroutine.
-            N       -   size of matrix A.
-
-        Result: matrix determinant.
-
-          -- ALGLIB --
-             Copyright 2005 by Bochkanov Sergey
-        *************************************************************************/
-        public static AP.Complex cmatrixludet(ref AP.Complex[,] a,
-            ref int[] pivots,
-            int n)
-        {
-            AP.Complex result = 0;
-            int i = 0;
-            int s = 0;
-
-            result = 1;
-            s = 1;
-            for(i=0; i<=n-1; i++)
-            {
-                result = result*a[i,i];
-                if( pivots[i]!=i )
-                {
-                    s = -s;
-                }
-            }
-            result = result*s;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Calculation of the determinant of a general matrix
-
-        Input parameters:
-            A       -   matrix, array[0..N-1, 0..N-1]
-            N       -   size of matrix A.
-
-        Result: determinant of matrix A.
-
-          -- ALGLIB --
-             Copyright 2005 by Bochkanov Sergey
-        *************************************************************************/
-        public static AP.Complex cmatrixdet(AP.Complex[,] a,
-            int n)
-        {
-            AP.Complex result = 0;
-            int[] pivots = new int[0];
-
-            a = (AP.Complex[,])a.Clone();
-
-            trfac.cmatrixlu(ref a, n, n, ref pivots);
-            result = cmatrixludet(ref a, ref pivots, n);
-            return result;
-        }
-
-
-        /*************************************************************************
-        Determinant calculation of the matrix given by the Cholesky decomposition.
-
-        Input parameters:
-            A   -   Cholesky decomposition,
-                    output of SMatrixCholesky subroutine.
-            N   -   size of matrix A.
-
-        As the determinant is equal to the product of squares of diagonal elements,
-        its not necessary to specify which triangle - lower or upper - the matrix
-        is stored in.
-
-        Result:
-            matrix determinant.
-
-          -- ALGLIB --
-             Copyright 2005-2008 by Bochkanov Sergey
-        *************************************************************************/
-        public static double spdmatrixcholeskydet(ref double[,] a,
-            int n)
-        {
-            double result = 0;
-            int i = 0;
-
-            result = 1;
-            for(i=0; i<=n-1; i++)
-            {
-                result = result*AP.Math.Sqr(a[i,i]);
-            }
-            return result;
-        }
-
-
-        /*************************************************************************
-        Determinant calculation of the symmetric positive definite matrix.
-
-        Input parameters:
-            A       -   matrix. Array with elements [0..N-1, 0..N-1].
-            N       -   size of matrix A.
-            IsUpper -   if IsUpper = True, then the symmetric matrix A is given by
-                        its upper triangle, and the lower triangle isnt used by
-                        subroutine. Similarly, if IsUpper = False, then A is given
-                        by its lower triangle.
-
-        Result:
-            determinant of matrix A.
-            If matrix A is not positive definite, then subroutine returns -1.
-
-          -- ALGLIB --
-             Copyright 2005-2008 by Bochkanov Sergey
-        *************************************************************************/
-        public static double spdmatrixdet(double[,] a,
-            int n,
-            bool isupper)
-        {
-            double result = 0;
-
-            a = (double[,])a.Clone();
-
-            if( !trfac.spdmatrixcholesky(ref a, n, isupper) )
-            {
-                result = -1;
-            }
-            else
-            {
-                result = spdmatrixcholeskydet(ref a, n);
-            }
-            return result;
-        }
-    }
+      }
+      result = result * s;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Calculation of the determinant of a general matrix
+
+    Input parameters:
+        A       -   matrix, array[0..N-1, 0..N-1]
+        N       -   size of matrix A.
+
+    Result: determinant of matrix A.
+
+      -- ALGLIB --
+         Copyright 2005 by Bochkanov Sergey
+    *************************************************************************/
+    public static AP.Complex cmatrixdet(AP.Complex[,] a,
+        int n) {
+      AP.Complex result = 0;
+      int[] pivots = new int[0];
+
+      a = (AP.Complex[,])a.Clone();
+
+      trfac.cmatrixlu(ref a, n, n, ref pivots);
+      result = cmatrixludet(ref a, ref pivots, n);
+      return result;
+    }
+
+
+    /*************************************************************************
+    Determinant calculation of the matrix given by the Cholesky decomposition.
+
+    Input parameters:
+        A   -   Cholesky decomposition,
+                output of SMatrixCholesky subroutine.
+        N   -   size of matrix A.
+
+    As the determinant is equal to the product of squares of diagonal elements,
+    its not necessary to specify which triangle - lower or upper - the matrix
+    is stored in.
+
+    Result:
+        matrix determinant.
+
+      -- ALGLIB --
+         Copyright 2005-2008 by Bochkanov Sergey
+    *************************************************************************/
+    public static double spdmatrixcholeskydet(ref double[,] a,
+        int n) {
+      double result = 0;
+      int i = 0;
+
+      result = 1;
+      for (i = 0; i <= n - 1; i++) {
+        result = result * AP.Math.Sqr(a[i, i]);
+      }
+      return result;
+    }
+
+
+    /*************************************************************************
+    Determinant calculation of the symmetric positive definite matrix.
+
+    Input parameters:
+        A       -   matrix. Array with elements [0..N-1, 0..N-1].
+        N       -   size of matrix A.
+        IsUpper -   if IsUpper = True, then the symmetric matrix A is given by
+                    its upper triangle, and the lower triangle isnt used by
+                    subroutine. Similarly, if IsUpper = False, then A is given
+                    by its lower triangle.
+
+    Result:
+        determinant of matrix A.
+        If matrix A is not positive definite, then subroutine returns -1.
+
+      -- ALGLIB --
+         Copyright 2005-2008 by Bochkanov Sergey
+    *************************************************************************/
+    public static double spdmatrixdet(double[,] a,
+        int n,
+        bool isupper) {
+      double result = 0;
+
+      a = (double[,])a.Clone();
+
+      if (!trfac.spdmatrixcholesky(ref a, n, isupper)) {
+        result = -1;
+      } else {
+        result = spdmatrixcholeskydet(ref a, n);
+      }
+      return result;
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/poissondistr.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/poissondistr.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/poissondistr.cs	(revision 4068)
@@ -26,111 +26,105 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class poissondistr
-    {
-        /*************************************************************************
-        Poisson distribution
+namespace alglib {
+  public class poissondistr {
+    /*************************************************************************
+    Poisson distribution
 
-        Returns the sum of the first k+1 terms of the Poisson
-        distribution:
+    Returns the sum of the first k+1 terms of the Poisson
+    distribution:
 
-          k         j
-          --   -m  m
-          >   e    --
-          --       j!
-         j=0
+      k         j
+      --   -m  m
+      >   e    --
+      --       j!
+     j=0
 
-        The terms are not summed directly; instead the incomplete
-        gamma integral is employed, according to the relation
+    The terms are not summed directly; instead the incomplete
+    gamma integral is employed, according to the relation
 
-        y = pdtr( k, m ) = igamc( k+1, m ).
+    y = pdtr( k, m ) = igamc( k+1, m ).
 
-        The arguments must both be positive.
-        ACCURACY:
+    The arguments must both be positive.
+    ACCURACY:
 
-        See incomplete gamma function
+    See incomplete gamma function
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double poissondistribution(int k,
-            double m)
-        {
-            double result = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double poissondistribution(int k,
+        double m) {
+      double result = 0;
 
-            System.Diagnostics.Debug.Assert(k>=0 & (double)(m)>(double)(0), "Domain error in PoissonDistribution");
-            result = igammaf.incompletegammac(k+1, m);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert(k >= 0 & (double)(m) > (double)(0), "Domain error in PoissonDistribution");
+      result = igammaf.incompletegammac(k + 1, m);
+      return result;
+    }
 
 
-        /*************************************************************************
-        Complemented Poisson distribution
+    /*************************************************************************
+    Complemented Poisson distribution
 
-        Returns the sum of the terms k+1 to infinity of the Poisson
-        distribution:
+    Returns the sum of the terms k+1 to infinity of the Poisson
+    distribution:
 
-         inf.       j
-          --   -m  m
-          >   e    --
-          --       j!
-         j=k+1
+     inf.       j
+      --   -m  m
+      >   e    --
+      --       j!
+     j=k+1
 
-        The terms are not summed directly; instead the incomplete
-        gamma integral is employed, according to the formula
+    The terms are not summed directly; instead the incomplete
+    gamma integral is employed, according to the formula
 
-        y = pdtrc( k, m ) = igam( k+1, m ).
+    y = pdtrc( k, m ) = igam( k+1, m ).
 
-        The arguments must both be positive.
+    The arguments must both be positive.
 
-        ACCURACY:
+    ACCURACY:
 
-        See incomplete gamma function
+    See incomplete gamma function
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double poissoncdistribution(int k,
-            double m)
-        {
-            double result = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double poissoncdistribution(int k,
+        double m) {
+      double result = 0;
 
-            System.Diagnostics.Debug.Assert(k>=0 & (double)(m)>(double)(0), "Domain error in PoissonDistributionC");
-            result = igammaf.incompletegamma(k+1, m);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert(k >= 0 & (double)(m) > (double)(0), "Domain error in PoissonDistributionC");
+      result = igammaf.incompletegamma(k + 1, m);
+      return result;
+    }
 
 
-        /*************************************************************************
-        Inverse Poisson distribution
+    /*************************************************************************
+    Inverse Poisson distribution
 
-        Finds the Poisson variable x such that the integral
-        from 0 to x of the Poisson density is equal to the
-        given probability y.
+    Finds the Poisson variable x such that the integral
+    from 0 to x of the Poisson density is equal to the
+    given probability y.
 
-        This is accomplished using the inverse gamma integral
-        function and the relation
+    This is accomplished using the inverse gamma integral
+    function and the relation
 
-           m = igami( k+1, y ).
+       m = igami( k+1, y ).
 
-        ACCURACY:
+    ACCURACY:
 
-        See inverse incomplete gamma function
+    See inverse incomplete gamma function
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double invpoissondistribution(int k,
-            double y)
-        {
-            double result = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double invpoissondistribution(int k,
+        double y) {
+      double result = 0;
 
-            System.Diagnostics.Debug.Assert(k>=0 & (double)(y)>=(double)(0) & (double)(y)<(double)(1), "Domain error in InvPoissonDistribution");
-            result = igammaf.invincompletegammac(k+1, y);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert(k >= 0 & (double)(y) >= (double)(0) & (double)(y) < (double)(1), "Domain error in InvPoissonDistribution");
+      result = igammaf.invincompletegammac(k + 1, y);
+      return result;
     }
+  }
 }
